io.undertow.protocols.ssl

## Class SNIContextMatcher.Builder

- java.lang.Object
- - io.undertow.protocols.ssl.SNIContextMatcher.Builder

Enclosing class:
  SNIContextMatcher

    public static class SNIContextMatcher.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SNIContextMatcher.Builder` `addMatch(String name, SSLContext context)`
`SNIContextMatcher` `build()`
`SSLContext` `getDefaultContext()`
`SNIContextMatcher.Builder` `setDefaultContext(SSLContext defaultContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### build

    public SNIContextMatcher build()

#### getDefaultContext

    public SSLContext getDefaultContext()

#### setDefaultContext

    public SNIContextMatcher.Builder setDefaultContext(SSLContext defaultContext)

#### addMatch

    public SNIContextMatcher.Builder addMatch(String name,
                                              SSLContext context)